# biologeeks-dotplot

<!-- [![Tests](https://framagit.org/BioloGeeks/bioinfo/dotplot/biologeeks-dotplot/workflows/Tests/badge.svg)](https://framagit.org/BioloGeeks/bioinfo/dotplot/biologeeks-dotplot/actions?query=workflow%3Aci) -->
[![pypi version](https://img.shields.io/pypi/v/biologeeks-dotplot.svg)](https://pypi.org/project/biologeeks-dotplot/)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![pdm-managed](https://img.shields.io/badge/pdm-managed-blueviolet)](https://pdm.fming.dev)

A toy implementation of pairwise DNA sequence dotplot.

## Requirements

biologeeks-dotplot requires Python >=3.7

## Installation

It is recommended to install with `pipx`, if `pipx` haven't been installed yet, refer to the [pipx's docs](https://github.com/pipxproject/pipx)

```bash
$ pipx install biologeeks-dotplot
```

Alternatively, install with `pip` to the user site:

```bash
$ python -m pip install --user biologeeks-dotplot
```
